Bug 22075 - Encoding problem with RIS export
Summary: Encoding problem with RIS export
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-07 16:32 UTC by Katrin Fischer
Modified: 2019-04-15 12:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22075: Fix encoding problem with RIS export in OPAC (1.25 KB, patch)
2019-04-07 22:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22075: Fix encoding problem with RIS export in OPAC (1.32 KB, patch)
2019-04-09 07:47 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-07 16:32:38 UTC
When exporting a record in RIS format from the detail page in OPAC the encoding is incorrect. If you open the RIS file in a text editor, umlauts and other diacritics are not displayed correctly.

Tested with 17.11, needs confirmation for master still.
Comment 1 Katrin Fischer 2019-01-07 16:33:36 UTC
Confirmed on master.
Comment 2 Katrin Fischer 2019-04-07 22:22:50 UTC
Created attachment 87484 [details] [review]
Bug 22075: Fix encoding problem with RIS export in OPAC

When exporting a record with diacritics in RIS
format from the detail page in OPAC the encoding
is not correct and the diacritics appear broken.

This patch fixes it.

To test:
- Find or create a record with some special
  chars in your OPAC
- Go to the detail page
- Save as > RIS
- Verify the diacritics are broken in an editor
- Apply patch
- Repeat and verify everything now displays correctly
Comment 3 Martin Renvoize 2019-04-09 07:47:21 UTC
Created attachment 87580 [details] [review]
Bug 22075: Fix encoding problem with RIS export in OPAC

When exporting a record with diacritics in RIS
format from the detail page in OPAC the encoding
is not correct and the diacritics appear broken.

This patch fixes it.

To test:
- Find or create a record with some special
  chars in your OPAC
- Go to the detail page
- Save as > RIS
- Verify the diacritics are broken in an editor
- Apply patch
- Repeat and verify everything now displays correctly

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-04-09 07:47:53 UTC
Works as expected, thanks Katrin. Signing off
Comment 5 Martin Renvoize 2019-04-09 07:48:36 UTC
No regressions found and passes QA scripts.. lets go straight for PQA :)
Comment 6 Nick Clemens 2019-04-11 13:56:22 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-15 12:09:29 UTC
Pushed to 18.11.x series for 18.11.05